# LIGO-Virgo GWTC-2 Tests of GR

## Gravitational wave generation: spin-induced quadrupole moment

Data release for measurements of the spin-induced quadrupole moment, Sec. VB in Abbott et al (2020), _Tests of General Relativity with Binary Black Holes from the second LIGO–Virgo Gravitational-Wave Transient Catalog_.

### Contents

- `sim_plot.ipynb`: Jupyter notebook to produce plots and macros in paper.
- `run.sh`: bash script to execute notebook from command line.
- `sim_dkappa_sym_*.dat.gz`: one file per event containing 1D posterior on $`\delta \kappa_s`$ parameter.
-  `utils.py`: GWTC-2 testing-GR utilities (requires enclosed `*.pkl` files).
- `environment.yml`: YAML file containing Conda environment specifications (see below).

Please see comments within Jupyter notebook for further details.

### Environment

This code is designed to run under the `gwtc2-tgr` Conda environment shipped with this release. You can create this environment from the enclosed `environment.yml` file by doing
```
conda env create -f environment.yml
```
Note that this environment is the same for all tests in this paper, so you only need to install it once. You can activate it with
```
conda activate gwtc2-tgr
```
after that, you should be able to do `./run.sh` or start `jupyter-lab` to open the Jupyter notebooks in this release.

For help installing Conda, see the [documentation](https://conda.io/projects/conda/en/latest/user-guide/install/index.html).

### Acknowledgement

If you make use of these data or software in your own work, please include the following acknowledgement:

"This research has made use of data, software and/or web tools obtained from the Gravitational Wave Open Science Center (https://www.gw-openscience.org/), a service of the LIGO Laboratory, the LIGO Scientific Collaboration and the Virgo Collaboration. LIGO is funded by the U.S. National Science Foundation. Virgo is funded, through the European Gravitational Observatory (EGO), by the French Centre National de Recherche Scientifique (CNRS), the Italian Istituto Nazionale della Fisica Nucleare (INFN) and the Dutch Nikhef, with contributions by institutions from Belgium, Germany, Greece, Hungary, Ireland, Japan, Monaco, Poland, Portugal, Spain."

### License

This work is licensed under the Creative Commons Attribution 4.0 International License. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/ or send a letter to Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
